#157 libmlib_image error with eclipse 3.3

open
nobody
None
5
2007-06-05
2007-06-05
Yang Zhang
No

Just installed latest DrJava for latest Eclipse 3.3 release. I got an error when switching to DrJava Perspective. Please see the attached screenshot. Thanks in advance for your help.

Discussion

  • Yang Zhang
    Yang Zhang
    2007-06-05

    Error message

     
    Attachments
  • Logged In: YES
    user_id=666678
    Originator: NO

    Do you have the library mentioned installed?

    I know that the plugin works with Eclipse 3.2. You may want to try it with that version to try to isolate the problem.

     
  • Yang Zhang
    Yang Zhang
    2007-06-06

    Logged In: YES
    user_id=1207658
    Originator: YES

    I don't know what that library is, but

    $ locate libmlib_image.so /usr/local/buildtools/java/jdk1.5.0_06/jre/lib/i386/libmlib_image.so
    /usr/local/buildtools/java/jdk1.6.0/jre/lib/i386/libmlib_image.so
    /usr/local/buildtools/java/jdk1.6.0_01/jre/lib/i386/libmlib_image.so
    /usr/lib/jvm/java-1.5.0-sun-1.5.0.06/jre/lib/i386/libmlib_image.so
    /usr/lib/jvm/java-6-sun-1.6.0.00/jre/lib/i386/libmlib_image.so
    /usr/lib/j2sdk1.5-sun/jre/lib/i386/libmlib_image.so
    ...

    Unfortunately I cannot use 3.2 due to other requirements. (I'm mainly looking for a Java REPL with tab-completion; after being disappointed by BeanShell, I thought I might try DrJava to see if it can provide me with this.)